Go to the latest version of this document.

# ``twisted`.`internet`.`protocol``

module documentation
(source)

Standard implementations of Twisted protocol-related interfaces.

Start here if you are looking to write a new protocol implementation for Twisted. The Protocol class contains some introductory material.

Class | `AbstractDatagramProtocol` | Abstract protocol for datagram-oriented transports, e.g. IP, ICMP, ARP, UDP.
Class | `BaseProtocol` | This is the abstract superclass of all protocols.
Class | `ClientCreator` | Client connections that do not require a factory.
Class | `ClientFactory` | A Protocol factory for clients.
Class | `ConnectedDatagramProtocol` | Protocol for connected datagram-oriented transport.
Class | `ConsumerToProtocolAdapter` | Undocumented
Class | `DatagramProtocol` | Protocol for datagram-oriented transport, e.g. UDP.
Class | `Factory` | This is a factory which produces protocols.
Class | `FileWrapper` | A wrapper around a file-like object to make it behave as a Transport.
Class | `ProcessProtocol` | Base process protocol implementation which does simple dispatching for stdin, stdout, and stderr file descriptors.
Class | `Protocol` | This is the base class for streaming connection-oriented protocols.
Class | `ProtocolToConsumerAdapter` | Undocumented
Class | `ReconnectingClientFactory` | Factory which auto-reconnects clients with an exponential back-off.
Class | `ServerFactory` | Subclass this to indicate that your protocol.Factory is only usable for servers.
Type Variable | `P` | Undocumented
Type Variable | `R` | Undocumented
Type Variable | `SomeProtocol` | Undocumented
Variable | `connectionDone` | Undocumented
Class | `_InstanceFactory` | Factory used by ClientCreator.
Class | `_LSPViolationHelper` | Undocumented
Class | `_ProtoWithFactory` | Undocumented
Type Variable | `_Value` | Undocumented
Variable | `_FactoryParams` | Undocumented

P = (source)

Undocumented

Value

    TypeVar('P',
            bound='_ProtoWithFactory', default='_ProtoWithFactory')

R = (source)

Undocumented

Value

    TypeVar('R',
            bound='Factory')

SomeProtocol = (source)

Undocumented

Value

    TypeVar('SomeProtocol')

connectionDone = (source)

Undocumented

_Value = (source)

Undocumented

Value

    TypeVar('_Value',
            covariant=True)

_FactoryParams = (source)

Undocumented